Subject: bug#37874: closed (Re: bug#37874: AW: Re: bug#37578: closed (Re: bug#37578: 26.3; image-mode does not display the bottom edge of a tall image))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 25 Oct 2019 20:24:02 +0000

Your bug report

#37874: 27.0.50; A recent commit broke doc-view (and pdf-tools)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37874: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37874
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37874: AW: Re: bug#37578: closed (Re: bug#37578: 26.3; image-mode does not display the bottom edge of a tall image)
From: Tassilo Horn <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 25 Oct 2019 22:23:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> > I have already adapted my package in a branch.  And I think the
>> > required changes are straightforward. I suppose the same holds for
>> > doc-view.
>> 
>> Ok, great. I'll adapt doc-view.el ASAP and then close this
>> issue. Thanks for your report.

I've fixed doc-view just now (bug#37874) with commit a0f7ea5999.

> Thanks, and sorry again for not being more vigilant.

You're welcome,
Tassilo

Subject: 27.0.50; A recent commit broke doc-view (and pdf-tools)
From: Andreas Politz <[email-masked]>
To: [email-masked]
Date: Tue, 22 Oct 2019 20:27:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Since  commit  9c66b09950cf2db50eb6d818656a268ef750bfe6  image-next-line
returns the current window-vscroll as a  unit of pixels.  Before, it was
returning  it  in  terms  of  character-height.   This  breaks  multiple
functions in doc-view, which are comparing  those values to the value of
(window-vscroll).  If this change is going to stay doc-view.el needs to
be adapted as well.

-ap